Archlabs Conky Manager scripts
================================

A "session" is a group of conkys that can be run together: the commands
to start them are saved in a saved-session file. The menu has an option
to make a new conky session, and the filepath for the new session is entered
in a gui text entry dialog box.

All conkys which are found are displayed in a yad dialog listbox, and running
conkys are checkmarked. Enter "OK" and all conkys are killed, and chosen ones
are started, and the commands are saved in the default sessionfile.

There are menu options to edit conky config files: choose from all conkys,
the running conkys, or just the default conky. Multiple conkys can be opened
for editing at the same time.


al-conkyzen
===========
The main script

USAGE:  al-conkyzen [OPTION]...FILES

    With no command option the script runs the gui

    -h,--help  : this USAGE help
    -f,--file  : FILEPATH : specify file to save session to
    -z         : Run gui filename entry dialog for new saved session

    When the dialog opens, any running conkys will be checkmarked.
    Click OK and all running conkys are stopped, and all checkmarked conkys are started.

    To stop a conky just uncheck it, and "OK"

EXAMPLES:
    Save session to a new saved-session file with:

        al-conkyzen -f sessionfile-name

    To start the default conky session at login, add the
    following line to autostart:

        (sleep 2s && al-conky-session --autostart) &


al-conky-session
================
Script to handle the sessionfiles

USAGE:  al-conky-session [OPTION(S)]...FILES

    With no command argument, the script uses the default
    "$CONKYPATH/conky-session" sessionfile

OPTIONS:
    --default   : specify default sessionfile
    --autostart : no "kill conky" option asked for
    path/to/sessionfile1  /path/to/sessionfile2 etc

EXAMPLES:
    Run specified sessionfile at login:
    "al-conky-session --autostart /path/to/sessionfile"

    Run default sessionfile, without killing running conkys:
    "al-conky-session --autostart"

    Run several conky sessionfiles (option to kill conkys first):
    "al-conky-session --default sessionfile1 sessionfile2 etc"


al-conkyedit
============
Script to display a listbox with all the conkys available for editing.
Chosen conky config files will open in the default text editor.

